# $Revision: 1.49 $, $Date: 2004/08/04 06:22:59 $
#
# Conditional build:
%bcond_with	gnome1	# with GNOME (1.x) support
#
Summary:	A font viewer for Type 1 and TrueType fonts
Summary(pl):	Przegldarka czcionek Type 1 i TrueType
Name:		gfontview
Version:	0.5.0
Release:	6
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/gfontview/%{name}-%{version}.tar.gz
# Source0-md5:	f06e0e9d67f7d8b3af251fa593e83eeb
Source1:	%{name}.desktop
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-gcc33.patch
Patch2:		%{name}-po.patch
Icon:		gfontview.xpm
URL:		http://gfontview.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype1-devel
BuildRequires:	gettext-devel
%{?with_gnome1:BuildRequires:	gnome-libs-devel}
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	libstdc++-devel
BuildRequires:	libungif-devel
BuildRequires:	t1lib-devel >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gfontview is a Font Viewer for outline fonts (PostScript Type 1 and
TrueType). It displays all fonts present in the chosen directory in a
list, with a preview of the font in the main window. It also allows
you to display a particular character or string of a font in an own
window, this character or string can be antialiased (smoothed). The
displayed character or string can be saved in GIF format. You can also
print a sample of a font. The program can also print a longer text in
the selected font, thus allowing you to get an impresion of how a text
page looks like in the selected font.

%description -l pl
gfontview jest przegldark czcionek (PostScrpit Type 1 i TrueType).
Wywietla list wszystkich czcionek z wybranego katalogu i umoliwia
podgld kadej z nich zarwno w gwnym oknie programu, jak i w
oddzielnych oknach. Posiada moliwo wygadzania czcionek
(antialiasing), drukowania przykadw kroju w postaci pojedyczych
znakw, linii jak rwnie wikszych partii tekstu, co pozwala na
zorientowanie si, jak wyglda caa strona z wykorzystaniem wybranej
czcionki. Program umoliwia take zapisanie znaku lub fragmentu tekstu
w formacie GIF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__gettextize}
%{__aclocal} -I .
%{__autoconf}
%{__autoheader}
%{__automake}
CXXFLAGS="%{rpmcflags} -I/usr/include/freetype \
	-fno-rtti -fno-exceptions -fno-implicit-templates"
%configure \
	SPOOLER="/usr/bin/lpr" \
	--with-libungif \
	--with-fontdir=/usr/share/fonts/Type1 \
	%{!?with_gnome1:--disable-gnome}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/misc,%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install gfontviewrc $RPM_BUILD_ROOT%{_datadir}/misc/gfontviewrc
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS NEWS TODO
%attr(755,root,root) %{_bindir}/gfontview
%config(noreplace) %verify(not size mtime md5) %{_datadir}/misc/gfontviewrc
%{_desktopdir}/gfontview.desktop
%{_pixmapsdir}/gfontview.png

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gfontview.spec,v $
Revision 1.49  2004/08/04 06:22:59  ankry
- i18n fixes (-po patch), rel. 6

Revision 1.48  2004/07/04 11:41:57  havner
- applnk -> vfolders

Revision 1.47  2004/01/20 23:00:45  qboosh
- release 4 for Ac
- reversed bcond - for Ac use only gtk 1.x, no gnome 1.x by default

Revision 1.46  2003/12/06 21:32:19  qboosh
- fixed bcond typo

Revision 1.45  2003/11/25 12:51:37  qboosh
- added gcc33 patch, new-style bcond, killed lpr BR (pass SPOOLER)

Revision 1.44  2003/11/25 12:11:45  ankry
- use tabs

Revision 1.43  2003/11/25 02:02:22  yoshi
- Added missing BR: lpr
- It still doesn't build...

Revision 1.42  2003/09/09 10:24:20  ankry
- spaces -> tab

Revision 1.41  2003/06/13 21:24:21  ankry
- md5

Revision 1.40  2003/05/25 05:47:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/05/06 11:30:20  qboosh
- use http for sources from sourceforge

Revision 1.38  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.37  2002/10/14 14:17:05  qboosh
- described bcond

Revision 1.36  2002/10/13 15:41:21  qboosh
- added _without_gnome bcond, added icon to files; release 3

Revision 1.35  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.34  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.33  2002/05/25 12:56:36  kloczek
- use new %doc.

Revision 1.32  2002/05/21 23:13:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/05/12 23:24:14  marcus
- rel.2.

Revision 1.30  2002/04/25 16:22:45  arturs
fixed a small typo

Revision 1.29  2002/04/16 16:44:02  mmazur
- back to the old freetype1

Revision 1.28  2002/04/13 20:48:27  mmazur
- changed freetype1 header files directory... so needed to fix a few
packages; rel++; STBR
- NOTE: this is needed for mozilla to build correctly (not to conflict
with freetype1)
- NOTE2: not one binary file was altered since the previous release

Revision 1.27  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.26  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/03 20:46:03  ankry
- adding es/pt/pt_BR Group translations

Revision 1.24  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/05/02 16:29:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.22  2001/04/20 22:49:44  kloczek
- updated to 0.5.0.

Revision 1.21  2001/03/19 20:48:47  kloczek
- release 2: rebuild against freetype1.

Revision 1.20  2001/03/07 17:29:22  kloczek
- updated URL and adapterized.

Revision 1.19  2001/03/07 16:07:38  wrobell
- automake -a -c, stb?

Revision 1.18  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.17  2000/07/01 19:09:17  kloczek
- updated to 0.4.1,
- added using %%find_lang macro,
- more BuildRequires.

Revision 1.16  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.15  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.13  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.12  2000/04/01 22:43:21  kloczek
- fixed BuildRoot.

Revision 1.11  2000/04/01 22:41:25  kloczek
- release 2,
- spec adapterized,
- rebuild against t1lib >= 1.0.0.

Revision 1.10  2000/04/01 11:14:27  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.8  1999/12/22 15:52:33  kloczek
- updated to 0.3.2,
- best C++ optimization (added to CXXFLAGS -fno-rtti -fno-exceptions
  -fno-implicit-templates).

Revision 1.7  1999/11/24 20:18:13  pius
- updated to 0.3.1
- added more rpm macros
- added using %%configure macro
- gfontview now looks for rc file in /usr/X11R6/share/misc instead of current
  working directory
- added /usr/share/fonts to fontdirs list
- other minor fixes

Revision 1.6  1999/09/04 09:08:04  wiget
- /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/17 00:20:29  pius
 -added URL and more BuildPrereq rules.

Revision 1.3  1999/07/17 00:13:40  pius
- added %%{_target_platform} macro.

Revision 1.2  1999/07/17 00:10:55  pius
- rewritten for PLD use.
